package com.smppw.core.trend.calc;


import com.smppw.common.pojo.dto.DateValue;
import com.smppw.core.trend.Trend;
import com.smppw.utils.IndicatorCalcUtil;
import com.smppw.utils.NavUtil;

import java.util.List;

public class ExtraNavTrend extends Trend {

    @Override
    public List<DateValue> getDateValueTrend(List<String> dateList, List<DateValue> navList, List<DateValue> benchmarkNavList) {
        List<DateValue> secNavNormalizeList = IndicatorCalcUtil.navNormalize(navList);
        List<DateValue> benchmarkNavNormalizeList = IndicatorCalcUtil.navNormalize(benchmarkNavList);
        return NavUtil.getGeoExtraNavList(secNavNormalizeList, benchmarkNavNormalizeList);
    }
}
